org.apache.ignite.internal.processors.continuous

## Class GridContinuousBatchAdapter

- java.lang.Object
- - org.apache.ignite.internal.processors.continuous.GridContinuousBatchAdapter

All Implemented Interfaces:
  GridContinuousBatch

Direct Known Subclasses:
  GridContinuousQueryBatch

    public class GridContinuousBatchAdapter
    extends Object
    implements GridContinuousBatch

Continuous routine batch adapter.

### Constructor Summary

Constructors
Constructor and Description
`GridContinuousBatchAdapter()`

### Method Summary

Methods
`void` `add(Object obj)` Adds element to this batch.
`Collection<Object>` `collect()` Collects elements that are currently in this batch.
`int` `size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridContinuousBatchAdapter

    public GridContinuousBatchAdapter()

### Method Detail

#### add

    public void add(Object obj)

Adds element to this batch.

Specified by:
  `add` in interface `GridContinuousBatch`
Parameters:
  `obj` - Element to add.

#### collect

    public Collection<Object> collect()

Collects elements that are currently in this batch.

Specified by:
  `collect` in interface `GridContinuousBatch`
Returns:
  Elements in this batch.

#### size

    public int size()

Specified by:
  `size` in interface `GridContinuousBatch`
Returns:
  Current batch size.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017